
TYPO3.Flow - Bug # 36397

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Http
Created: 2012-04-20 Assigned To: Karsten Dambekalns
Updated: 2012-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: baseUri setting no longer used since HTTP foundation changes
Description

The utility:environment:baseUri settings is no longer used (consistently) since the HTTP foundation changes have been introduced.

Related issues:
related to TYPO3.Flow - Feature # 35243: HTTP 1.1 Support – Foundations Resolved 2012-03-26
related to TYPO3.Flow - Task # 36340: Environment class needs to be cleaned up Resolved 2012-04-19

Associated revisions
Revision e2d704e7 - 2012-04-25 22:48 - Karsten Dambekalns

[!!!][TASK] Move baseUri setting from Environment to Http\Request

The Environment class optionally used a setting to specify a fixed
baseUri to be used. With the HTTP foundation this settings was no
longer used (consistently).

If in Settings.yaml the "utility:environment:baseUri" settings was used,
it must be changed to "http:baseUri"!

Change-Id: I7f00559de6e586b17366177730430d0d9984a05e
Fixes: #36397
Related: #35243
Releases: 1.1

History
#1 - 2012-04-20 21:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#2 - 2012-04-24 11:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661
#3 - 2012-04-25 16:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#4 - 2012-04-25 18:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#5 - 2012-04-25 18:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#6 - 2012-04-25 19:15 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#7 - 2012-04-25 23:03 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10661

#8 - 2012-04-26 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e2d704e7895ee971a51ec3f37c78e7b3b50bdf69.
